Xapian: API Documentation: xapian-core: Xapian::ESetIterator Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Xapian::ESetIterator Class Reference

Iterate through terms in the ESet. More...

List of all members.

## Public Types
typedef std::bidirectional_iterator_tag | iterator_category
| Allow use as an STL iterator.
typedef std::string | value_type
| Allow use as an STL iterator.
typedef Xapian::termcount_diff | difference_type
| Allow use as an STL iterator.
typedef std::string * | pointer
| Allow use as an STL iterator.
typedef std::string & | reference
| Allow use as an STL iterator.
## Public Member Functions
| ESetIterator ()
| Create an uninitialised iterator; this cannot be used, but is convenient syntactically.
| ESetIterator (const ESetIterator &other)
| Copying is allowed (and is cheap).
void | operator= (const ESetIterator &other)
| Assignment is allowed (and is cheap).
ESetIterator & | operator++ ()
| Advance the iterator.
ESetIterator | operator++ (int)
| Advance the iterator (postfix variant).
ESetIterator & | operator-- ()
| Decrement the iterator.
ESetIterator | operator-- (int)
| Decrement the iterator (postfix variant).
const std::string & | operator * () const
| Get the term for the current position.
Xapian::weight | get_weight () const
| Get the weight of the term at the current position.
std::string | get_description () const
| Return a string describing this object.
## Friends
bool | operator== (const ESetIterator &a, const ESetIterator &b)
| Equality test for ESetIterator objects.
bool | operator!= (const ESetIterator &a, const ESetIterator &b)
| Inequality test for ESetIterator objects.

## Detailed Description

Iterate through terms in the ESet.

## Member Typedef Documentation

typedef std::bidirectional_iterator_tag Xapian::ESetIterator::iterator_category

Allow use as an STL iterator.

typedef std::string Xapian::ESetIterator::value_type

Allow use as an STL iterator.

typedef Xapian::termcount_diff Xapian::ESetIterator::difference_type

Allow use as an STL iterator.

typedef std::string* Xapian::ESetIterator::pointer

Allow use as an STL iterator.

typedef std::string& Xapian::ESetIterator::reference

Allow use as an STL iterator.

## Constructor & Destructor Documentation

Xapian::ESetIterator::ESetIterator | ( |  | ) | `[inline]`

Create an uninitialised iterator; this cannot be used, but is convenient syntactically.

Xapian::ESetIterator::ESetIterator | ( | const ESetIterator & | other | ) | `[inline]`

Copying is allowed (and is cheap).

## Member Function Documentation

void Xapian::ESetIterator::operator= | ( | const ESetIterator & | other | ) | `[inline]`

Assignment is allowed (and is cheap).

ESetIterator& Xapian::ESetIterator::operator++ | ( |  | ) | `[inline]`

Advance the iterator.

ESetIterator Xapian::ESetIterator::operator++ | ( | int |  | ) | `[inline]`

Advance the iterator (postfix variant).

ESetIterator& Xapian::ESetIterator::operator-- | ( |  | ) | `[inline]`

Decrement the iterator.

ESetIterator Xapian::ESetIterator::operator-- | ( | int |  | ) | `[inline]`

Decrement the iterator (postfix variant).

const std::string& Xapian::ESetIterator::operator * | ( |  | ) | const

Get the term for the current position.

Xapian::weight Xapian::ESetIterator::get_weight | ( |  | ) | const

Get the weight of the term at the current position.

std::string Xapian::ESetIterator::get_description | ( |  | ) | const

Return a string describing this object.

## Friends And Related Function Documentation

bool operator== | ( | const ESetIterator & | a,
|  | const ESetIterator & | b |
| ) |  |  | `[friend]`

Equality test for ESetIterator objects.

bool operator!= | ( | const ESetIterator & | a,
|  | const ESetIterator & | b |
| ) |  |  | `[friend]`

Inequality test for ESetIterator objects.

The documentation for this class was generated from the following file:

- xapian/enquire.h